### Method

# WebKit WebView set_settings

#### Declaration [src]

    void
    webkit_web_view_set_settings (
      WebKitWebView* web_view,
      WebKitSettings* settings
    )

#### Description [src]

Sets the `WebKitSettings` to be applied to `web_view`.

The existing `WebKitSettings` of `web_view` will be replaced by `settings`. New settings are applied immediately on `web_view`. The same `WebKitSettings` object can be shared by multiple `WebKitWebView`s.

Sets property | `WebKit.WebView:settings`

#### Parameters

`settings`

  Type: `WebKitSettings`

  A `WebKitSettings`.

  The data is owned by the caller of the method.